
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PILO_SCAN_H
#define PILO_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"

#include "server/genPosScan.h"


/* Structures du module */
#include "piloPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_PILO_BASICTRAJ_POSTER_STR ( FILE *in, FILE *out,
       struct PILO_BASICTRAJ_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_SPEEDREF_POSTER_STR ( FILE *in, FILE *out,
       struct PILO_SPEEDREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_POSREF_POSTER_STR ( FILE *in, FILE *out,
       struct PILO_POSREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_STR ( FILE *in, FILE *out,
       struct PILO_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_ABSOLUTE_BL ( FILE *in, FILE *out,
       struct PILO_ABSOLUTE_BL *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_ASOLUTE_REF ( FILE *in, FILE *out,
       struct PILO_ASOLUTE_REF *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_TRAJECTORY ( FILE *in, FILE *out,
       struct PILO_TRAJECTORY *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_SEGMENT ( FILE *in, FILE *out,
       struct PILO_SEGMENT *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_TRAJ_HEADER ( FILE *in, FILE *out,
       struct PILO_TRAJ_HEADER *x, int indent, int nDim, int *dims );
extern int scan_enum_PILO_SEG_TYPE ( FILE *in, FILE *out,
       enum PILO_SEG_TYPE *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_TRAJ_POSTER ( FILE *in, FILE *out,
       struct PILO_TRAJ_POSTER *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_GOTO_CONFIG_STR ( FILE *in, FILE *out,
       struct PILO_GOTO_CONFIG_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_PILO_GOTO_CONFIG_MODE ( FILE *in, FILE *out,
       enum PILO_GOTO_CONFIG_MODE *x, int indent, int nDim, int *dims );
extern int scan_enum_PILO_ABS_OR_REL ( FILE *in, FILE *out,
       enum PILO_ABS_OR_REL *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_TURN_STR ( FILE *in, FILE *out,
       struct PILO_TURN_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_MOVE_STR ( FILE *in, FILE *out,
       struct PILO_MOVE_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_PILO_AVOID_FLAG ( FILE *in, FILE *out,
       enum PILO_AVOID_FLAG *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_DYNAMIC_PARAMS ( FILE *in, FILE *out,
       struct PILO_DYNAMIC_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_struct_PILO_INIT_STR ( FILE *in, FILE *out,
       struct PILO_INIT_STR *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_PILO_INIT_STR ( FILE *in, FILE *out,
       PILO_INIT_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_DYNAMIC_PARAMS ( FILE *in, FILE *out,
       PILO_DYNAMIC_PARAMS *x, int indent, int nDim, int *dims );
extern int scan_PILO_AVOID_FLAG ( FILE *in, FILE *out,
       PILO_AVOID_FLAG *x, int indent, int nDim, int *dims );
extern int scan_PILO_MOVE_STR ( FILE *in, FILE *out,
       PILO_MOVE_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_TURN_STR ( FILE *in, FILE *out,
       PILO_TURN_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_ABS_OR_REL ( FILE *in, FILE *out,
       PILO_ABS_OR_REL *x, int indent, int nDim, int *dims );
extern int scan_PILO_GOTO_CONFIG_MODE ( FILE *in, FILE *out,
       PILO_GOTO_CONFIG_MODE *x, int indent, int nDim, int *dims );
extern int scan_PILO_GOTO_CONFIG_STR ( FILE *in, FILE *out,
       PILO_GOTO_CONFIG_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_TRAJ_POSTER ( FILE *in, FILE *out,
       PILO_TRAJ_POSTER *x, int indent, int nDim, int *dims );
extern int scan_PILO_SEG_TYPE ( FILE *in, FILE *out,
       PILO_SEG_TYPE *x, int indent, int nDim, int *dims );
extern int scan_PILO_TRAJ_HEADER ( FILE *in, FILE *out,
       PILO_TRAJ_HEADER *x, int indent, int nDim, int *dims );
extern int scan_PILO_SEGMENT ( FILE *in, FILE *out,
       PILO_SEGMENT *x, int indent, int nDim, int *dims );
extern int scan_PILO_TRAJECTORY ( FILE *in, FILE *out,
       PILO_TRAJECTORY *x, int indent, int nDim, int *dims );
extern int scan_PILO_ABSOLUTE_REF ( FILE *in, FILE *out,
       PILO_ABSOLUTE_REF *x, int indent, int nDim, int *dims );
extern int scan_PILO_ABSOLUTE_BL ( FILE *in, FILE *out,
       PILO_ABSOLUTE_BL *x, int indent, int nDim, int *dims );
extern int scan_PILO_STR ( FILE *in, FILE *out,
       PILO_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_POSREF_POSTER_STR ( FILE *in, FILE *out,
       PILO_POSREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_SPEEDREF_POSTER_STR ( FILE *in, FILE *out,
       PILO_SPEEDREF_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_PILO_BASICTRAJ_POSTER_STR ( FILE *in, FILE *out,
       PILO_BASICTRAJ_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* PILO_SCAN_H */

