
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef pilo_TCLSERV_CLIENT_MSG_LIB_H
#define pilo_TCLSERV_CLIENT_MSG_LIB_H

#include <server/piloType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int piloTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int piloTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int piloTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_INIT_STR *(in_initStr) 
		);

int piloTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_INIT_STR *(in_initStr) ,
				
				int *bilan);

int piloTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_INIT_STR *(in_initStr) ,
					
					int *bilan);




int piloTclservClientMoveRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_MOVE_STR *(in_moveStr) 
		);

int piloTclservClientMoveReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientMoveRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_MOVE_STR *(in_moveStr) ,
				
				int *bilan);

int piloTclservClientMoveRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_MOVE_STR *(in_moveStr) ,
					
					int *bilan);




int piloTclservClientTurnRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_TURN_STR *(in_turnStr) 
		);

int piloTclservClientTurnReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientTurnRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_TURN_STR *(in_turnStr) ,
				
				int *bilan);

int piloTclservClientTurnRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_TURN_STR *(in_turnStr) ,
					
					int *bilan);




int piloTclservClientGotoConfigRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_GOTO_CONFIG_STR *(in_gotoStr) 
		);

int piloTclservClientGotoConfigReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientGotoConfigRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_GOTO_CONFIG_STR *(in_gotoStr) ,
				
				int *bilan);

int piloTclservClientGotoConfigRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_GOTO_CONFIG_STR *(in_gotoStr) ,
					
					int *bilan);




int piloTclservClientSetDynamicRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 PILO_DYNAMIC_PARAMS *(in_dynamicParams)
		);

int piloTclservClientSetDynamicReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int piloTclservClientSetDynamicRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 PILO_DYNAMIC_PARAMS *(in_dynamicParams) ,
				 
				 int *bilan);




int piloTclservClientGetDynamicRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int piloTclservClientGetDynamicReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PILO_DYNAMIC_PARAMS *(out_dynamicParams),
			       int *bilan);

int piloTclservClientGetDynamicRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PILO_DYNAMIC_PARAMS *(out_dynamicParams),
				 int *bilan);




int piloTclservClientExecTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_TRAJECTORY *(in_trajStr) 
		);

int piloTclservClientExecTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientExecTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_TRAJECTORY *(in_trajStr) ,
				
				int *bilan);

int piloTclservClientExecTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_TRAJECTORY *(in_trajStr) ,
					
					int *bilan);




int piloTclservClientExecPosterTrajRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_TRAJ_POSTER *(in_trajPoster) 
		);

int piloTclservClientExecPosterTrajReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientExecPosterTrajRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_TRAJ_POSTER *(in_trajPoster) ,
				
				int *bilan);

int piloTclservClientExecPosterTrajRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_TRAJ_POSTER *(in_trajPoster) ,
					
					int *bilan);




int piloTclservClientExecAbsoluteBLRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PILO_ABSOLUTE_BL *(in_absBLStr) 
		);

int piloTclservClientExecAbsoluteBLReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientExecAbsoluteBLRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PILO_ABSOLUTE_BL *(in_absBLStr) ,
				
				int *bilan);

int piloTclservClientExecAbsoluteBLRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PILO_ABSOLUTE_BL *(in_absBLStr) ,
					
					int *bilan);




int piloTclservClientStopRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int piloTclservClientStopReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientStopRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int piloTclservClientStopRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int piloTclservClientSlowRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_percentSpeed)
		);

int piloTclservClientSlowReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int piloTclservClientSlowRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_percentSpeed) ,
				 
				 int *bilan);




int piloTclservClientMonLengthRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 double *(in_monLength) 
		);

int piloTclservClientMonLengthReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int piloTclservClientMonLengthRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				double *(in_monLength) ,
				
				int *bilan);

int piloTclservClientMonLengthRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					double *(in_monLength) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* piloTCLSERV_CLIENT_MSG_LIB_H */

